# Simple Examples

On this page you can find some simple examples on the `snap_ml_spark` available models (RidgeRegression, SupportVectorMachine, LogisticRegression) which will help you familiarize yourselves with the library's user interface.
In order to run the examples locally, you ll first need to generate a tiny dataset. Please run the following commands:

```bash
mkdir data/
python $CONDA_PREFIX/snap-ml-spark/examples/example-simple/example-simple/gen_data.py
```

Once the dataset is created, you can run the available examples by running the following command:
```bash
spark-submit --master spark://node1.ibm.com:7077 --jars $CONDA_PREFIX/snap-ml-spark/lib/snap-ml-spark-v*-ppc64le.jar $CONDA_PREFIX/snap-ml-spark/examples/example-simple/<example.py> --data_path path/to/data

Note: By default the location of --data_path is current directory. Parent directory of the directory 'data/' is to be given as parameter to --data_path option.

Command to run example using GPUs:

spark-submit --master spark://node1.ibm.com:7077 --jars $CONDA_PREFIX/snap-ml-spark/lib/snap-ml-spark-v*-ppc64le.jar $CONDA_PREFIX/snap-ml-spark/examples/example-simple/<example.py> --use_gpu

Command to run example with specified number of partitions:

spark-submit --master spark://node1.ibm.com:7077 --jars $CONDA_PREFIX/snap-ml-spark/lib/snap-ml-spark-v*-ppc64le.jar $CONDA_PREFIX/snap-ml-spark/examples/example-simple/<example.py> --num_partitions 8

Note: Default value of num_partitions is 2. num_partitions can be 8, if user wants to use 8 GPUs.
```

where <example> is one of the following: `LogisticRegressionExample`, `SupportVectorMachineExample`, `LinearRegressionExample` available in /opt/DL/snap-ml-spark/examples/example-simple directory.

&copy; Copyright IBM Corporation 2018, 2019
